Bug 191084 - CVE-2006-2224 Quagga RIPd route injection
CVE-2006-2224 Quagga RIPd route injection
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: quagga (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
impact=moderate,source=cve,public=200...
: Security
Depends On:
Blocks: 192757
  Show dependency treegraph
 
Reported: 2006-05-08 14:52 EDT by Josh Bressers
Modified: 2014-08-31 19:28 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0525
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-01 13:38:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-05-08 14:52:41 EDT
Quagga RIPd route injection

RIPd in Quagga accepts RIPv1 RESPONSE when RIPv2 authentication is         enabled. This condition is possible unless RIPv2 only is specified in
the RIPd configuration.  This flaw could allow a remote attacker to
inject a route via RIPv1 RESPONSE packets.

http://bugzilla.quagga.net/show_bug.cgi?id=262


This issue also affects RHEL3
Comment 4 Red Hat Bugzilla 2006-06-01 13:38:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0525.html

Note You need to log in before you can comment on or make changes to this bug.